from django.contrib import admin
from django.utils.translation import ugettext_lazy as _


#from .admin.placeholderadmin import PlaceholderAdmin

from jmb.core.admin.options import OrderedModelAdmin, ExtendibleModelAdmin
from jmb.press.models import AreaPress, Press, Source


class PressAdmin(ExtendibleModelAdmin, OrderedModelAdmin):
    list_display = (
        'get_status_display', 'date_p', 'title', 'slug', 'source',
        'file', 'abstract', 'keywords', 'area', 'ordering',
        'move_actions', 'get_edit_icon', 'get_detail_icon',
        'get_delete_icon',
        )


    fieldsets = (
        (_('logs admin'),{
            'fields': (
                'creator', 'date_create','last_modifier',
                'date_last_modify',
                ),
            'classes': ('collapse',)
        }),
        (None, {'fields': (
            'status', 'ordering',
            'title', 'area', 'date_p', 'slug',
            'source', 'file', 'abstract', 'keywords',
            )})
        )

    default_group_by = 'area'

admin.site.register(AreaPress,
    #PlaceholderAdmin
)
admin.site.register(Source)
admin.site.register(Press, PressAdmin)
