from django.db import models
from django.utils.translation import ugettext_lazy as _
from cms.models.pluginmodel import CMSPlugin


class PressListSettings(CMSPlugin):
    TEMPLATES = (
        ("cms_plugins/press_list.html", _("Press list template"),),
        )
    area_slug = models.SlugField(max_length=100, null=True, blank=True)
    source_slug = models.SlugField(max_length=100, null=True, blank=True)
    press_per_page = models.IntegerField()
    ordering = models.CharField(max_length=100, default='ordering, title')
    template_name = models.CharField(max_length=100, choices=TEMPLATES, default="cms_plugins/press_list.html")

    def __unicode__(self):
        return "%s %s" % (self.area_slug, self.source_slug)

class PressListPerAreaSettings(CMSPlugin):
    TEMPLATES = (
        ("cms_plugins/press_list_per_area.html", _("Press list per Area template"),),
        )
    press_per_page = models.IntegerField()
    ordering_area = models.CharField(max_length=100, default='ordering, name')
    ordering_press = models.CharField(max_length=100, default='ordering, title')
    template_name = models.CharField(
        max_length=100, choices=TEMPLATES,
        default="cms_plugins/press_list_per_area.html"
    )

#class ModelSettings(CMSPlugin):
#    TEMPLATES = (
#        ("cms_plugins/template1.html", "template 1",),
#        ("cms_plugins/template2.html", "template 2",),
#        ("cms_plugins/template3.html", "template 3",),
#    )
#    slug = models.SlugField(max_length=100)
#    objects_per_page = models.IntegerField()
#    ordering = models.CharField(max_length=100, default='ordering, name')
#    template_name = models.CharField(max_length=100, choices=TEMPLATES, default="cms_plugins/template1.html")
#
#    def __unicode__(self):
#        return self.category_slug
#
#class ProductSearchAttribute(CMSPlugin):
#    TEMPLATES = (
#        ("cms_plugins/template4.html", "template 4"),
#        ("cms_plugins/template5.html", "template 5"),
#    )
#    template_name = models.CharField(max_length=100, choices=TEMPLATES, default="")
#
#    def __unicode__(self):
#        return self.template_name
